Post by christiaan » Mon Jun 22, 2015 10:35 pm

Goedemiddag,

Ik ben bezig met het installeren van opencart 2.0.3.1 , maar nu heb ik net alles succesvol geïnstalleerd, waarna ik de error :

Code: Select all

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in system/library/db/mysql.php on line 7
Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at system/library/db/mysql.php:7) in 
system/library/session.php on line 12
Weet iemand hoe ik de error kan oplossen

Met vriendelijke groet,

Christiaan
Last edited by christiaan on Tue Jun 23, 2015 12:35 am, edited 1 time in total.

New member

Posts

Joined
Sat May 03, 2014 1:10 am

Post by pprmkr » Mon Jun 22, 2015 11:53 pm

The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead
Betekend: Gebruik geen MySQL, maar MySQLi

Je hebt bij installatie gekozen voor de verkeerde databasedriver.

Bewerk /config.php en admin/config.php en verander:

Code: Select all

define('DB_DRIVER', 'mysql');
in:

Code: Select all

define('DB_DRIVER', 'mysqli');

User avatar
Active Member

Posts

Joined
Sat Jan 08, 2011 11:05 pm
Location - Netherlands

Post by christiaan » Tue Jun 23, 2015 12:35 am

pprmkr wrote:
The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead
Betekend: Gebruik geen MySQL, maar MySQLi

Je hebt bij installatie gekozen voor de verkeerde databasedriver.

Bewerk /config.php en admin/config.php en verander:

Code: Select all

define('DB_DRIVER', 'mysql');
in:

Code: Select all

define('DB_DRIVER', 'mysqli');
Bedankt voor je snelle reactie, Het werkt ;D

New member

Posts

Joined
Sat May 03, 2014 1:10 am
Who is online

Users browsing this forum: No registered users and 8 guests